%token <int> INT
%token EOL PLUS LPAREN RPAREN TIMES
%start main             /* the entry point */
%type <int> main
%left PLUS
%left TIMES
%%
main:
| expr EOL              { $1 }
expr:
| INT                   { $1 }
| expr PLUS expr        { $1 + $3 }
| expr PLUS PLUS expr   { $1 + $4 }
| expr TIMES expr       { $1 * $3 }
| LPAREN expr RPAREN    { $2 }
